Subject: Re: Repeat en Midi et liaisons de tenue

From: Jean-Charles <[email-masked]>
Date: Thu, 22 Mar 2007 23:06:33 +0100

Le 22.03.2007 20:31, Jean-Claude Boretti disait :
> Bonsoir JG, là c'est JC (...),
> 
> J'ai lu ta prose en diagonale et tu parles de reprises en MIDI; 
> je suis (presque) sûr que Lyli (entre autres) ni (quasiment) aucun 
> autre logiciel d'édition de scores ne joue les reprises. 
> Je pense qu'il faut bien distinguer les reprises 'graphiques'
> que tu notes simplement sur ta part' à l'attention des exécutants,
> des reprises 'musicales' qui seront joués par un éventuel autre logiciel 
> séquenceur. J'utilise CuBase depuis pas mal de temps et là encore, 
> c'est pareil (j'ai moi-même mis pas mal de temps à l'accepter...).
> J'ai un excellent ami musicien - de métier - qui utilisait ce même CuBase
> et qui lui, faisait carrément DEUX fichiers du même morceau, une pour la 
> part' et une deuxième pour l'éxécution audio en MIDI, c'est dire !
> C'est dur, mais parfois il faut se dire que l'ingéniosité humaine sert
> justement à contourner / compenser les imperfections du silicium, fut-il (futile?) dopé...
> 
> Amicalement,
> 
> jcB
> 
> --

Il suffit de compiler le fichier que j'ai joint pour se rendre compte 
que LilyPond sait parfaitement générer les reprises grâce à la commande 
\unfoldRepeat {musique} dans une section \score incluant le midi. Le 
fichier comporte alors 22 mesures et non plus 13 comme sur papier.
L'avantage est donc ici à LilyPond, y compris pour l'encombrement du 
disque dur, puisque nous n'avons qu'un seul fichier source...

Pour la chorale, je n'utilise que LilyPond pour générer la partition et 
une épreuve midi, que je retravaille avec Rosegarden pour doubler la 
voix du pupitre que je vais graver.

@+
Jean-Charles

---

From: Jean-Charles <[email-masked]>
Date: Sun, 25 Mar 2007 17:57:29 +0200

Le 25.03.2007 10:09, Jean-Claude BORETTI disait :
> Bien vu ! Je ne connaissais pas encore cette fonctionnalité bien sympathique
> (pour l'instant, je me concentre exclusivement sur l'édition et ça m'occupe
> à 400%...). Décidément, Lily fait très fort ! Je crois bien par contre que
> tu n'as pas joint le fichier dont tu me parles... (moi c'est pareil, je me
> fais avoir à chaque fois).
> 
> Bon dimanche,
> 
> JC
> --
> 

Avec Thunderbird, je range mes messages entrants par fil de discussion. 
J'ai donc trouvé ce dont tu parles, et à quoi je faisais référence :
http://lists.gnu.org/archive/html/lilypond-user-fr/2007-03/msg00095.html
(une refonte du fichier source de Jean Gautier)
Une bonne habitude à prendre consiste à « répondre à tous » ou bien 
mettre lilypond-user-fr en copie de la réponse. Les fils de discussion 
gardent ainsi leur intégrité.

@+
Jean-Charles